Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-101895

Fix iocage 'with invalid literal for int() with base 10: 'None'' traceback

    XMLWordPrintable

    Details

      JEditor

        Description

        Trying to create jails in FreeNAS-11.2-U4.1 from GUI:

        Jail Summary
        Jail Name : bugtest
        Release : 11.2-RELEASE
        IPv4 Address : 192.168.1.14/24

        Results in:

        FAILED
        invalid literal for int() with base 10: 'None'
        + More info...
        
        Error: concurrent.futures.process._RemoteTraceback:
        """
        Traceback (most recent call last):
          File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
            r = call_item.fn(*call_item.args, **call_item.kwargs)
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 131, in main_worker
            res = loop.run_until_complete(coro)
          File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
            return future.result()
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 91, in _run
            return await self._call(name, serviceobj, methodobj, params=args, job=job)
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 84, in _call
            return methodobj(*params)
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 84, in _call
            return methodobj(*params)
          File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 156, in create_job
            dc_config = self.middleware.call_sync('domaincontroller.config')
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 103, in call_sync
            return self.client.call(method, *params, timeout=timeout, **kwargs)
          File "/usr/local/lib/python3.6/site-packages/middlewared/client/client.py", line 451, in call
            raise c.py_exception
        ValueError: invalid literal for int() with base 10: 'None'
        """
        
        The above exception was the direct cause of the following exception:
        
        Traceback (most recent call last):
          File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
            await self.future
          File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 358, in __run_body
            rv = await self.middleware._call_worker(self.method_name, *self.args, job={'id': self.id})
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1062, in _call_worker
            return await self.run_in_proc(main_worker, name, args, job)
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 996, in run_in_proc
            return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 972, in run_in_executor
            return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
        ValueError: invalid literal for int() with base 10: 'None'

        Same happens under FreeNAS-11.2-U3.

        Booting into FreeNAS-11.2-U2.1 allows jail creation with no error.

        Uploading debug files for 11.2-U2.1 and 11.2-U4.1.

         

         

         

         

         

         

         

          Attachments

            Attachments

              Activity

                People

                Assignee:
                william William Grzybowski
                Reporter:
                Lucian Lucian Girlea
                Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    Summary Panel